import type { Metadata } from "next";
import { Montserrat } from "next/font/google";

import Header from "@/components/header";
import Space from "@/components/space";
import { cn } from "@/lib/utils";

import "./globals.css";

const inter = Montserrat({
  subsets: ["latin"],
  weight: ["400", "700"],
});

export const metadata: Metadata = {
  title: "Guan Ming Chiu",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en" className="h-full">
      <body className={cn(inter.className, "h-full")}>
        <Header></Header>
        <div className="absolute z-10 h-full w-full">
          <Space></Space>
        </div>
        {children}
      </body>
    </html>
  );
}
